# class Racc::RRconflict

### Attributes

high_prec[R]
low_prec[R]
stateid[R]
token[R]

### Public Class Methods

new(sid, high, low, tok) click to toggle source

    # File lib/racc/state.rb, line 954
    def initialize(sid, high, low, tok)
      @stateid   = sid
      @high_prec = high
      @low_prec  = low
      @token     = tok
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/racc/state.rb, line 966
    def to_s
      sprintf('state %d: R/R conflict with rule %d and %d on %s',
              @stateid, @high_prec.ident, @low_prec.ident, @token.to_s)
    end